interaction

Body Params
number
5 to 43200

The valid time of Drop-in order.
The Payment Link will expire after 5~43200 minutes (maximum 30 days).
The accepted value is 5 to 43200.
The unit is minute.
Omit: 60 minutes.

string
length ≤ 300

The URL used for redirection after the payment is completed.
For example: HTTPs://www.merchantweb.com
Evonet will add the merchantOrderID and result of the payment after the URL.
Currently the page will only get redirected after the order has been paid, so the result is fixed as success.
For example: HTTPs://www.merchantweb.com?merchantOrderID=123123123123&result=success

string
length ≤ 300

The webhook URL provided by merchant host to receive the payment result notification after the order has been paid.

transAmount
object
required

Transaction amount object

merchantOrderInfo
object
required

Order information object

userInfo
object

userInfo Object

paymentMethod
object
boolean

This is to indicate if an AVS (Address Verification Service) check should be performed

Usage Instruction

1. This field is used in POST Payment requests only. If true, Evonet will perform an AVS check for the card transaction.

2. If not present, default value = false, Evonet will skip AVS check.

3. Field Type: Boolean (true / false)

tradeInfo
object

Trade information object.

Headers
string
required

Sign key assigned by Evonet.

string
required

Specify application/json; charset=utf-8, which means the message body of the request and response must be in the JSON format, and the character encoding is UTF-8. It will be echoed back in the response message.

string
required

The time when the message is sent. The format follows ISO 8601, which is YYYY-MMDDThh:mm:ssTZD. For example, 2021-05-26T10:08:25+08:00. It will be echoed back in the response message.

string
required

KeyID is a unique key identifier of up to 36 characters that is generated along with the signature key by Evonet.

string

An ID for a merchant to trace every API request.
The suggested value is UUID or GUID, such as 2d21a5715c034efb7e0aa383b885fc7a.
It is suggested to specify this value with no more than 32 characters in length.
Evonet will not validate this value and will echo it back in the response message.

string
required

Fixed value: Key-based.

Response

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json